Update a custom invoice
curl --request PUT \
--url https://api.royalti.io/billing/invoices/custom/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"totalAmount": 1.01,
"description": "<string>",
"taxAmount": 123,
"discountAmount": 123,
"currency": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"lineItems": [
{}
],
"notes": "<string>",
"paymentMethod": "<string>",
"referenceNumber": "<string>"
}
'import requests
url = "https://api.royalti.io/billing/invoices/custom/{id}"
payload = {
"totalAmount": 1.01,
"description": "<string>",
"taxAmount": 123,
"discountAmount": 123,
"currency": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"lineItems": [{}],
"notes": "<string>",
"paymentMethod": "<string>",
"referenceNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
totalAmount: 1.01,
description: '<string>',
taxAmount: 123,
discountAmount: 123,
currency: '<string>',
dueDate: '2023-11-07T05:31:56Z',
lineItems: [{}],
notes: '<string>',
paymentMethod: '<string>',
referenceNumber: '<string>'
})
};
fetch('https://api.royalti.io/billing/invoices/custom/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"TenantId": 123,
"stripeSubscriptionId": "<string>",
"stripeInvoiceId": "<string>",
"invoiceNumber": "<string>",
"description": "<string>",
"lineItems": [
{}
],
"amount": 123,
"taxAmount": 123,
"discountAmount": 123,
"totalAmount": 123,
"currency": "USD",
"dueDate": "2023-11-07T05:31:56Z",
"paidDate": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"paymentMethod": "<string>",
"referenceNumber": "<string>",
"paymentReference": "<string>",
"notes": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}Billing
Update a custom invoice
PUT /billing/invoices/custom/
PUT
/
billing
/
invoices
/
custom
/
{id}
Update a custom invoice
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
PUT /billing/invoices/custom/ Authorization:- Required role:
owneronly
Code Examples
const response = await fetch('https://api.royalti.io/billing/invoices/custom/example-id', {
method: 'PUT',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"ref": "#/components/schemas/UpdateCustomInvoiceRequest"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
'https://api.royalti.io/billing/invoices/custom/example-id',
headers={
'Authorization': f'Bearer {token}'
},
json={"ref":"#/components/schemas/UpdateCustomInvoiceRequest"}
)
data = response.json()
print(data)
curl -X PUT https://api.royalti.io/billing/invoices/custom/example-id \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"ref":"#/components/schemas/UpdateCustomInvoiceRequest"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Path Parameters
Body
application/json
⌘I